package de.intevation.flys.client.client.ui;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DefaultData;
import de.intevation.flys.client.shared.model.DefaultDataItem;
import de.intevation.flys.client.shared.model.User;


public class WspDatacagePanel extends DatacagePanel {

    public static final String WATERLEVEL_OUTS = "longitudinal_section";


    public WspDatacagePanel() {
        super();
    }


    public WspDatacagePanel(User user) {
        super(user);
    }


    @Override
    public String getOuts() {
        return WATERLEVEL_OUTS;
    }


    @Override
    protected Data[] getData() {
        String value  = "TODO:FIND VALUE";
        DataItem item = new DefaultDataItem(dataName, dataName, value);
        return new Data[] { new DefaultData(
            dataName, null, null, new DataItem[] { item }) };
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
